
// Vk3DVision (http://3dsurroundgaming.com/) - Original Shader
#version 450

invariant gl_Position;

struct sCB
{
    float rClearZ;
};

layout(set = 0, binding = 52, std140) uniform dyn_CONSTANT_BUFFER_BLOCK_0
{
    sCB CB0;
} _47;

void main()
{
    int _22 = gl_VertexIndex << 1;
    int _24 = _22 & 2;
    float _25 = float(_24);
    int _27 = gl_VertexIndex & 2;
    float _28 = float(_27);
    vec2 _29 = vec2(_25, _28);
    vec2 _31 = _29 * 2.0;
    vec2 _34 = _31 - vec2(1.0);
    float _51 = _34.x;
    float _52 = _34.y;
    vec4 _53 = vec4(_51, _52, _47.CB0.rClearZ, 1.0);
    gl_Position = _53;
}

